TechDraw: Angolo

From FreeCAD Documentation
Revision as of 21:32, 3 January 2019 by Renatorivo (talk | contribs) (Replaced content with "==Descrizione==")

Angolo

Posizione nel menu
TechDraw → Angolo
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Angolo da tre punti

Descrizione

The Dimension Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

Measuring the angle between two straight lines

Uso

  1. Selezionare i punti o bordi che definiscono la misura.
  2. Premere il pulsante File:Dimension Angle.png Angolo
  3. Alla Vista viene aggiunta una dimensione. La dimensione può essere trascinata nella posizione desiderata.
  1. Select the points or edge which define your measurement.
  2. Press the File:Dimension Angle.png Dimension Angle button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Proprietà

This object has the same properties as the TechDraw Dimensione Lunghezza tool. See that tool for details.

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Script

Le dimensioni angolari possono essere aggiunti alle pagine utilizzando Python.

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Angle tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)